package com.mousetech.gourmetj.persistence.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.mousetech.gourmetj.persistence.model.Shopcat;

/**
 * JpaRepository for Shoppind Categories, which relate ManyToOne to Ingredient.
 * Service method is @see RecipeService
 * 
 * @author timh
 * @since Dec 28, 2021
 */

@Repository
public interface ShopcatRepository
		extends JpaRepository<Shopcat, Long> {

	final static String SQL_FIND_CATEGORIES =
			"SELECT DISTINCT shopcategory from shopcats"
					+ " where shopcategory is not null and shopcategory <> ''"
					+ " ORDER BY shopcategory ASC";

	@Query(value = SQL_FIND_CATEGORIES, nativeQuery = true)
	public List<String> findDistinctCategoryNative();
}
